Skip to content

Update App List

This endpoint updates App List.

POST https://adelion.com/api/applist/update
ParameterTypeDescriptionRequirement
IdintApp List ID.required
NamestringApp List’s name.optional
GlobalintApply List globally. 1 - On, 0 - Off.optional
ListTextstringList of App bundles separated by new line.optional
JSON payload example
{
"AppList": {
"Id": 1,
"Name": "App List 1",
"Global": 1,
"ListText": "com.bundle1.game\ncom.bundle2.app\ncom.bundle3.ctv"
}
}
Success JSON
{
"Status": "Ok",
"AppList": {
"Id": 1,
"TeamId": 1,
"Name": "App List 1",
"VastTags": [
7,
8
],
"RtbEps": [
1,
2
],
"DspRtbEps": [
3,
4
],
"Campaigns": [
5,
6
],
"AppCount": 16063,
"Global": 1,
"Status": 0,
"StatusString": "Active"
}
}
Error JSON
{
"Status": "Error",
"Error": "[error description]"
}
CodeStatusMeaning
400Bad RequestYou sent a body that isn’t JSON.
401UnauthorizedYour access token is invalid.
406Not AcceptableOne or more JSON values are missing or malformed, or the requested object was not found.
500Internal Server ErrorThe server encountered a problem. Try again later.